Resource: ForwardingRule
Represents a Forwarding Rule resource.
A forwardingRules resource represents a regional forwarding rule.
Regional external forwarding rules can reference any of the following resources:
- A target instance
- A Cloud VPN Classic gateway (targetVpnGateway),
- A target pool for a Network Load Balancer
- A global target HTTP(S) proxy for an HTTP(S) load balancer using Standard Tier
- A target SSL proxy for a SSL Proxy load balancer using Standard Tier
- A target TCP proxy for a TCP Proxy load balancer using Standard Tier.
Regional internal forwarding rules can reference the backend service of an internal TCP/UDP load balancer.
For regional internal forwarding rules, the following applies:
- If the
loadBalancingSchemefor the load balancer isINTERNAL, then the forwarding rule references a regional internal backend service. - If the
loadBalancingSchemefor the load balancer isINTERNAL_MANAGED, then the forwarding rule must reference a regional target HTTP(S) proxy.
For more information, read Using Forwarding rules.
A globalForwardingRules resource represents a global forwarding rule.
Global forwarding rules are only used by load balancers that use Premium Tier.
| JSON representation | |
|---|---|
{ "id": string, "creationTimestamp": string, "name": string, "description": string, "region": string, "IPAddress": string, "IPProtocol": enum, "portRange": string, "ports": [ string ], "target": string, "selfLink": string, "loadBalancingScheme": enum, "subnetwork": string, "network": string, "backendService": string, "serviceLabel": string, "serviceName": string, "networkTier": enum, "ipVersion": enum, "allPorts": boolean, "kind": string } |
|
| Fields | |
|---|---|
id |
[Output Only] The unique identifier for the resource. This identifier is defined by the server. |
creationTimestamp |
[Output Only] Creation timestamp in RFC3339 text format. |
name |
Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression |
description |
An optional description of this resource. Provide this property when you create the resource. |
region |
[Output Only] URL of the region where the regional forwarding rule resides. This field is not applicable to global forwarding rules. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
IPAddress |
IP address that this forwarding rule serves. When a client sends traffic to this IP address, the forwarding rule directs the traffic to the target that you specify in the forwarding rule. If you don't specify a reserved IP address, an ephemeral IP address is assigned. Methods for specifying an IP address:
|
IPProtocol |
The IP protocol to which this rule applies. Valid options are When the load balancing scheme is |
portRange |
This field is deprecated. See the |
ports[] |
globalOperations.list of comma-separated ports. The forwarding rule forwards packets with matching destination ports. If the forwarding rule's loadBalancingScheme is EXTERNAL, and the forwarding rule references a target pool, specifying ports is optional. You can specify an unlimited number of ports, but they must be contiguous. If you omit ports, GCP forwards traffic on any port of the forwarding rule's protocol. If the forwarding rule's loadBalancingScheme is EXTERNAL, and the forwarding rule references a target HTTP proxy, target HTTPS proxy, target TCP proxy, target SSL proxy, or target VPN gateway, you must specify ports using the following constraints:
If the forwarding rule's loadBalancingScheme is INTERNAL, you must specify ports in one of the following ways:
The Applicable only when @pattern: \d+(?:-\d+)? For more information, refer to Port specifications. |
target |
The URL of the target resource to receive the matched traffic. For regional forwarding rules, this target must live in the same region as the forwarding rule. For global forwarding rules, this target must be a global load balancing resource. The forwarded traffic must be of a type appropriate to the target object. For |
selfLink |
[Output Only] Server-defined URL for the resource. |
loadBalancingScheme |
This signifies what the ForwardingRule will be used for and can only take the following values: |
subnetwork |
This field is only used for For internal load balancing, this field identifies the subnetwork that the load balanced IP should belong to for this Forwarding Rule. If the network specified is in auto subnet mode, this field is optional. However, if the network is in custom subnet mode, a subnetwork must be specified. |
network |
This field is not used for external load balancing. For |
backendService |
This field is only used for For internal load balancing, this field identifies the BackendService resource to receive the matched traffic. |
serviceLabel |
An optional prefix to the service name for this Forwarding Rule. If specified, the prefix is the first label of the fully qualified service name. The label must be 1-63 characters long, and comply with RFC1035. Specifically, the label must be 1-63 characters long and match the regular expression This field is only used for internal load balancing. |
serviceName |
[Output Only] The internal fully qualified service name for this Forwarding Rule. This field is only used for internal load balancing. |
networkTier |
This signifies the networking tier used for configuring this load balancer and can only take the following values: For regional ForwardingRule, the valid values are If this field is not specified, it is assumed to be |
ipVersion |
The IP Version that will be used by this forwarding rule. Valid options are |
allPorts |
This field is used along with the When the load balancing scheme is |
kind |
[Output Only] Type of the resource. Always |
Methods |
|
|---|---|
|
Retrieves an aggregated list of forwarding rules. |
|
Deletes the specified ForwardingRule resource. |
|
Returns the specified ForwardingRule resource. |
|
Creates a ForwardingRule resource in the specified project and region using the data included in the request. |
|
Retrieves a list of ForwardingRule resources available to the specified project and region. |
|
Updates the specified forwarding rule with the data included in the request. |
|
Sets the labels on the specified resource. |
|
Changes target URL for forwarding rule. |
|
Returns permissions that a caller has on the specified resource. |


